std::nested_exception(3cxx)

NAME
std::nested_exception

SYNOPSIS

#include <exception>

  Public Member Functions

nested_exception () noexcept
The default constructor stores the current exception (if any).
nested_exception (const nested_exception &) noexcept=default
exception_ptr nested_ptr () const noexcept
Access the stored exception.
nested_exception & operator= (const nested_exception &) noexcept=default
void rethrow_nested () const
Rethrow the stored exception, or terminate if none was stored.

Detailed Description

Mixin class that stores the current exception.

This type can be used via std::throw_with_nested to store the current exception nested within another exception.

Since
    C++11

See also
    std::throw_with_nested

Constructor & Destructor Documentation

  std::nested_exception::nested_exception () [inline], [noexcept]

The default constructor stores the current exception (if any).

References std::current_exception().

Member Function Documentation

  exception_ptr std::nested_exception::nested_ptr () const [inline], [noexcept]

Access the stored exception.

  void std::nested_exception::rethrow_nested () const [inline]

Rethrow the stored exception, or terminate if none was stored.

References std::rethrow_exception(), rethrow_nested(), and std::terminate().

Referenced by rethrow_nested().

Author

Generated automatically by Doxygen for libstdc++ from the source code.